#ifdef _DEBUG
	#pragma comment( lib, "cv210d.lib" )
	#pragma comment( lib, "cxcore210d.lib" )
	#pragma comment( lib, "cvaux210d.lib" )
	#pragma comment( lib, "highgui210d.lib" )
#else
	#pragma comment( lib, "cv210.lib" )
	#pragma comment( lib, "cxcore210.lib" )
	#pragma comment( lib, "cvaux210.lib" )
	#pragma comment( lib, "highgui210.lib" )
#endif

#include <cv.h>
#include <cxcore.h>
#include <highgui.h>
#include <stdio.h>
#include <stdlib.h>

int main( int argc, char** argv )
{
	const std::string		windowNameSrc = "Source";
	const std::string		windowNameDst = "Destination";

	// 摜̓ǂݍ݂ƃRs[
	cv::Mat	src = cv::imread( std::string( "..\\lenna.png" ) );
	cv::Mat	dst = src.clone();

	// es̐擪w|C^p@
	// x + y = cols 𖞂xy̑ĝƂC̉f𔒂ɒu
	for( int y = 0; y < dst.rows; y++ ) {
		uchar* ptr = dst.ptr<uchar>( y );
		for( int x = 0; x < dst.cols; x++ ) {
			if( ( x + y ) == dst.cols ) {
				ptr[x * dst.channels() + 0] = 255;
				ptr[x * dst.channels() + 1] = 255;
				ptr[x * dst.channels() + 2] = 255;
			}
		}
	}

	// EChE쐬ĕ\
	cv::namedWindow( windowNameSrc );
	cv::namedWindow( windowNameDst );
	cv::imshow( windowNameSrc, src );
	cv::imshow( windowNameDst, dst );
	cv::waitKey( 0 );

    return 0;
}
