#ifdef _DEBUG
	#pragma comment( lib, "cv210d.lib" )
	#pragma comment( lib, "cxcore210d.lib" )
	#pragma comment( lib, "cvaux210d.lib" )
	#pragma comment( lib, "highgui210d.lib" )
#else
	#pragma comment( lib, "cv210.lib" )
	#pragma comment( lib, "cxcore210.lib" )
	#pragma comment( lib, "cvaux210.lib" )
	#pragma comment( lib, "highgui210.lib" )
#endif

#include <cv.h>
#include <cxcore.h>
#include <highgui.h>
#include <stdio.h>
#include <stdlib.h>

int main( int argc, char** argv )
{
	// 摜̓ǂݍ݁DmaskO[XP[œǂނƂɒӂ
	// src: 摜Cmask: ̈w}XN, dst: ⊮ʊi[̈, orig: Ql̂߂̌̂ȂIWi摜
	cv::Mat		src = cv::imread( std::string( ".\\fruits_cont.bmp" ) );
	cv::Mat		mask = cv::imread( std::string( ".\\fruits_mask.bmp" ), CV_LOAD_IMAGE_GRAYSCALE );
	cv::Mat		dst;
	cv::Mat		orig = cv::imread( std::string( ".\\fruits.bmp" ) );

	const std::string	windowNameSrc = "Source";
	const std::string	windowNameMask = "Mask";
	const std::string	windowNameDst = "Inpainted";
	const std::string	windowNameOrig = "Original";

	// CyCeBO
	cv::inpaint( src, mask, dst, 3, CV_INPAINT_TELEA );

	// EChE쐬ĕ\
	cv::imshow( windowNameSrc, src );
	cv::imshow( windowNameMask, mask );
	cv::imshow( windowNameDst, dst );
	cv::imshow( windowNameOrig, orig );
	cv::waitKey( 0 );

	// CyCeBOʂۑ
	cv::imwrite( ".\\fruits_inpainted.bmp", dst );

    return 0;
}
