#ifdef _DEBUG
	#pragma comment( lib, "cv210d.lib" )
	#pragma comment( lib, "cxcore210d.lib" )
	#pragma comment( lib, "cvaux210d.lib" )
	#pragma comment( lib, "highgui210d.lib" )
#else
	#pragma comment( lib, "cv210.lib" )
	#pragma comment( lib, "cxcore210.lib" )
	#pragma comment( lib, "cvaux210.lib" )
	#pragma comment( lib, "highgui210.lib" )
#endif

#include <cv.h>
#include <cxcore.h>
#include <highgui.h>
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

int main( int argc, char** argv )
{
	cv::VideoCapture	capture( 0 );

	if( !capture.isOpened() ) {
		std::cout << "Failed to Open Camera" << std::endl;
		return -1;
	}

	// EChE쐬
	const std::string		windowNameCam = "Camera Image";
	cv::namedWindow( windowNameCam, CV_WINDOW_AUTOSIZE );

	// J摜̊i[`
	cv::Mat	frame;

	// C[v
	std::cout << "Capture";
	do {
		// J摜Lv`
		capture >> frame;
		// Lv`摜\
		cv::imshow( windowNameCam, frame );
	} while( cv::waitKey( 10 ) != 27 );

	std::cout << " --- Finished." << std::endl;

	return 0;
}
