#ifdef _DEBUG
	#pragma comment( lib, "cv210d.lib" )
	#pragma comment( lib, "cxcore210d.lib" )
	#pragma comment( lib, "cvaux210d.lib" )
	#pragma comment( lib, "highgui210d.lib" )
#else
	#pragma comment( lib, "cv210.lib" )
	#pragma comment( lib, "cxcore210.lib" )
	#pragma comment( lib, "cvaux210.lib" )
	#pragma comment( lib, "highgui210.lib" )
#endif

#include <cv.h>
#include <cxcore.h>
#include <highgui.h>
#include <stdio.h>
#include <stdlib.h>

int main( int argc, char** argv )
{
	const std::string		windowNameSrc = "Source";
	const std::string		windowNameGray = "Gray";
	const std::string		windowNameBin = "Bin";
	const double	thres = 128;
	const double	maxVal = 255;

	// 摜̓ǂݍ݁Co͂i[邽߂Matǉ
	cv::Mat	src = cv::imread( std::string( "..\\lenna.png" ) );
	cv::Mat	gray( src.size(), CV_8UC1 );
	cv::Mat	bin( src.size(), CV_8UC1 );

	// ͉摜O[XP[ɕϊ
	cv::cvtColor( src, gray, CV_BGR2GRAY, 1 );
	cv::threshold( gray, bin, thres, maxVal, CV_THRESH_BINARY );

	// EChE쐬ĕ\
	cv::namedWindow( windowNameSrc );
	cv::namedWindow( windowNameGray );
	cv::namedWindow( windowNameBin );

	cv::imshow( windowNameSrc, src );
	cv::imshow( windowNameGray, gray );
	cv::imshow( windowNameBin, bin) ;
	cv::waitKey( 0 );

    return 0;
}
