#ifdef _DEBUG
	#pragma comment( lib, "cv210d.lib" )
	#pragma comment( lib, "cxcore210d.lib" )
	#pragma comment( lib, "cvaux210d.lib" )
	#pragma comment( lib, "highgui210d.lib" )
#else
	#pragma comment( lib, "cv210.lib" )
	#pragma comment( lib, "cxcore210.lib" )
	#pragma comment( lib, "cvaux210.lib" )
	#pragma comment( lib, "highgui210.lib" )
#endif

#include <cv.h>
#include <cxcore.h>
#include <highgui.h>
#include <stdio.h>
#include <stdlib.h>

int main( int argc, char** argv )
{
	const std::string		windowNameSrc = "Source";
	const std::string		windowNameSobel = "Sobel";

	// 摜̓ǂݍ
	cv::Mat	src = cv::imread( std::string( "..\\lenna.png" ) );
	cv::Mat	gray;
	cv::Mat	sobel;

	// O[XP[ɕϊ
	cv::cvtColor( src, gray, CV_BGR2GRAY );
	// SobeltB^ixւ1֐jKp
	cv::Sobel( gray, sobel, -1, 1, 0 );

	// EChE쐬ĕ\
	cv::namedWindow( windowNameSrc );
	cv::namedWindow( windowNameSobel );
	cv::imshow( windowNameSrc, src );
	cv::imshow( windowNameSobel, sobel );
	cv::waitKey( 0 );

    return 0;
}
